# Interface methods for submodule: ThresholdImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: ThresholdImageFilter
class ThresholdImageFilterProxy(_InPlaceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetOutsideValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetOutsideValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetOutsideValue(self) -> float:
		""""""
		...

	@overload
	def GetOutsideValue(self) -> int:
		""""""
		...

	@overload
	def ThresholdAbove(self, threshold: float) -> None:
		""""""
		...

	@overload
	def ThresholdAbove(self, threshold: int) -> None:
		""""""
		...

	@overload
	def ThresholdBelow(self, threshold: float) -> None:
		""""""
		...

	@overload
	def ThresholdBelow(self, threshold: int) -> None:
		""""""
		...

	@overload
	def ThresholdOutside(self, lower: float, upper: float) -> None:
		""""""
		...

	@overload
	def ThresholdOutside(self, lower: int, upper: int) -> None:
		""""""
		...

	@overload
	def SetLower(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetLower(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetLower(self) -> float:
		""""""
		...

	@overload
	def GetLower(self) -> int:
		""""""
		...

	@overload
	def SetUpper(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetUpper(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetUpper(self) -> float:
		""""""
		...

	@overload
	def GetUpper(self) -> int:
		""""""
		...

